apiVersion: apps/v1
kind: Deployment
metadata:
  name: console
spec:
  replicas: {{ .Values.replicaCount }}
  selector:
    matchLabels:
      app: console
  template:
    metadata:
      labels:
        app: console
    spec:
      containers:
        - name: nginx
          image: "{{ .Values.image.repository }}:{{ .Values.image.tag }}"
          ports:
            - containerPort: 80
          volumeMounts:
            - name: html
              mountPath: /usr/share/nginx/html
      volumes:
        - name: html
          secret:
            secretName: console-html
            items:
              - key: index.html
                path: index.html
              - key: docs-index.html
                path: docs/index.html
              - key: docs-deployment.html
                path: docs/deployment/index.html
